org.jboss.resteasy.plugins.server.sun.http

## Class HttpContextResteasyConfiguration

- java.lang.Object
- - org.jboss.resteasy.plugins.server.sun.http.HttpContextResteasyConfiguration

- All Implemented Interfaces:
    ResteasyConfiguration

      public class HttpContextResteasyConfiguration
      extends Object
      implements ResteasyConfiguration

  ResteasyConfiguration adapter for HttpContext attributes
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected com.sun.net.httpserver.HttpContext` | `context`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpContextResteasyConfiguration(com.sun.net.httpserver.HttpContext context)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getInitParameter(String name)` Only provide parameter from a servlet or filter init param
    `Set<String>` | `getInitParameterNames()`
    `String` | `getParameter(String name)` i.e.
    `Set<String>` | `getParameterNames()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### context

          protected com.sun.net.httpserver.HttpContext context

  - ### Constructor Detail

    - #### HttpContextResteasyConfiguration

          public HttpContextResteasyConfiguration(com.sun.net.httpserver.HttpContext context)

  - ### Method Detail

    - #### getParameter

          public String getParameter(String name)

      Description copied from interface: `ResteasyConfiguration`
      i.e. Servlet init-param first is searched, then servlet context
      Specified by:
        `getParameter` in interface `ResteasyConfiguration`
      Returns:

    - #### getParameterNames

          public Set<String> getParameterNames()

      Specified by:
        `getParameterNames` in interface `ResteasyConfiguration`

    - #### getInitParameter

          public String getInitParameter(String name)

      Description copied from interface: `ResteasyConfiguration`
      Only provide parameter from a servlet or filter init param
      Specified by:
        `getInitParameter` in interface `ResteasyConfiguration`
      Returns:

    - #### getInitParameterNames

          public Set<String> getInitParameterNames()

      Specified by:
        `getInitParameterNames` in interface `ResteasyConfiguration`

Copyright © 2014. All Rights Reserved.